templates:
- gitlab
- autotools
- base

catalog:
  title: x264 codec

variables:
  gitlab.instance-url: https://code.videolan.org

  gitlab.group: videolan
  gitlab.project: x264

  branches:
  - stable
  - master

  extra-provides:
  - library: x264
  - '@{next-value|[]}'
  extra-requires:
  - program: nasm
  - '@{next-value|[]}'

  configure.enable:
  - shared

versions:
- name: hash-18.05.18
  variables:
    commit: e9a5903edf8ca59ef20e6f4894c196f135af735e
